Bug 392371 - Epiphany and gecko spell check
Epiphany and gecko spell check
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: epiphany (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-20 09:09 EST by Peter Janakiev
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-21 05:53:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Janakiev 2007-11-20 09:09:38 EST
Description of problem:
The new users on the system do not get spell chekcing capabilities with
Epiphany, but if the user is kept from F7 there is spell chekcing (for enlighs
only). I have checked on Firefox - it works okay, i add a dictionary and i can
use it, i then delete it and it is no longer available. But on epiphany i have
only english and when I add another language (bg-BG for example) and i change
the prefs (about:config ->) to bg_BG I loose the spellchekcing at all (cannot go
back to english even for the users I have had it for before) - I set it to en_US
but no spell checking in the forms. 

Version-Release number of selected component (if applicable):
epiphany-2.20.1-4.fc8
firefox-2.0.0.9-1.fc8

How reproducible:
Always

Steps to Reproduce:
1. Create a new user on the system.
2. Login with gnome session with this user and open epiphany, go to a web page
with a form
3. No spell checking even for english, let alone other languages (installed in
$HOME/.mozilla/firefox/extentoins/) 
  
Actual results:
No spell checking for the new users even if we set spellcheck.dictionary to
en_US (installed by default with firefox)

Expected results:
Spell checking working at least by default in english

Additional info:
I have removed and installed  both packages again - just in case i have messed
up some config file and intentionalyy checked on newly created users on the
system to reduce the risk of me mistaking something.
Comment 1 Peter Janakiev 2007-11-21 05:53:52 EST
Please ignore this bug report, it was a dictionary file encoding issue. 

Still the default behavior for epiphany is to be spell-check disabled
(layout.spellckechDefault -> 0) which I am sure was 1 on F7. 

regards

Note You need to log in before you can comment on or make changes to this bug.